Alembic Version 1.1

Public Types | Public Member Functions | Protected Attributes | List of all members
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema Class Reference

`#include <OXform.h>`

Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema:
[legend]

## Public Types
typedef Abc::OSchema< XformSchemaInfo > | super_type
typedef OXformSchema | this_type
typedef XformSample | sample_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< XformSchemaInfo >
typedef XformSchemaInfo | info_type
typedef OSchema< XformSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
typedef OCompoundProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions
| OXformSchema ()
| OXformSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument(), const Abc::Argument &iArg3=Abc::Argument())
| OXformSchema (Abc::OCompoundProperty iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument())
| OXformSchema (const OXformSchema &iCopy)
| Explicit copy constructor to work around MSVC bug. More...
AbcA::TimeSamplingPtr | getTimeSampling () const
| Default assignment operator used. More...
size_t | getNumSamples () const
void | set (XformSample &ioSamp)
void | setFromPrevious ()
| Set from previous sample. Will hold the animated channels. More...
void | setTimeSampling (uint32_t iIndex)
void | setTimeSampling (AbcA::TimeSamplingPtr iTime)
Abc::OCompoundProperty | getArbGeomParams ()
Abc::OCompoundProperty | getUserProperties ()
Abc::OBox3dProperty | getChildBoundsProperty ()
void | reset ()
bool | valid () const
| Valid returns whether this function set is valid. More...
| ALEMBIC_OVERRIDE_OPERATOR_BOOL (this_type::valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< XformSchemaInfo >
| OSchema ()
| OSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument(), const Argument &iArg3=Argument())
| OSchema (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
virtual | ~OSchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
| OCompoundProperty ()
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag=kWrapExisting, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, TopFlag iTopFlag=kTop, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~OCompoundProperty ()
size_t | getNumProperties () const
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
OBaseProperty | getProperty (size_t i) const
OBaseProperty | getProperty (const std::string &iName) const
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::CompoundPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Attributes
Abc::OBox3dProperty | m_childBoundsProperty
AbcA::ScalarPropertyWriterPtr | m_opsPWPtr
AbcA::BasePropertyWriterPtr | m_valsPWPtr
Abc::OBoolProperty | m_inheritsProperty
Abc::OBoolProperty | m_isNotConstantIdentityProperty
XformSample | m_protoSample
bool | m_isIdentity
Abc::OCompoundProperty | m_arbGeomParams
Abc::OCompoundProperty | m_userProperties
Util::shared_ptr< Data > | m_data
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
AbcA::CompoundPropertyWriterPtr | m_property

## Additional Inherited Members
Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< XformSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getSchemaBaseType ()
static const char * | getDefaultSchemaName ()
static bool | replaceOnSparse ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
| OBasePropertyT ()
| OBasePropertyT (AbcA::CompoundPropertyWriterPtr iPtr, ErrorHandler::Policy iPolicy)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Detailed Description

Definition at line 55 of file OXform.h.

## Member Typedef Documentation

## ◆ sample_type

typedef XformSample Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::sample_type

Definition at line 66 of file OXform.h.

## ◆ super_type

typedef Abc::OSchema<XformSchemaInfo> Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::super_type

By convention we always define this_type in AbcGeom classes. Used by unspecified-bool-type conversion below

Definition at line 64 of file OXform.h.

## ◆ this_type

typedef OXformSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::this_type

Definition at line 65 of file OXform.h.

## Constructor & Destructor Documentation

## ◆ OXformSchema() [1/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::OXformSchema | ( |  | ) |
| inline

The default constructor creates an empty OPolyMeshSchema ...

Definition at line 74 of file OXform.h.

## ◆ OXformSchema() [2/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::OXformSchema | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg1 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg2 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg3 = `Abc::Argument()`
| ) |  |

This constructor creates a new xform writer. The first argument is an CompoundPropertyWriterPtr to use as a parent. The next is the name to give the schema which is usually the default name given by OFaceSet (.xform) The remaining optional arguments can be used to override the ErrorHandlerPolicy, to specify MetaData, specify sparse sampling and to set TimeSampling.

## ◆ OXformSchema() [3/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::OXformSchema | ( | Abc::OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg1 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg2 = `Abc::Argument()`
| ) |  |

This constructor creates a new xform writer. The first argument is an OCompundProperty to use as a parent, and from which the ErrorHandlerPolicy is derived. The next is the name to give the schema which is usually the default name given by OXform (.xform) The remaining optional arguments can be used to specify MetaData, specify sparse sampling and to set TimeSampling.

## ◆ OXformSchema() [4/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::OXformSchema | ( | const OXformSchema & | iCopy | ) |
| inline

Explicit copy constructor to work around MSVC bug.

Definition at line 108 of file OXform.h.

## Member Function Documentation

## ◆ ALEMBIC_OVERRIDE_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( | this_type::valid() |  | ) |

unspecified-bool-type operator overload. ...

## ◆ getArbGeomParams()

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::getArbGeomParams | ( |  | ) |

## ◆ getChildBoundsProperty()

Abc::OBox3dProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::getChildBoundsProperty | ( |  | ) |

## ◆ getNumSamples()

size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::getNumSamples | ( |  | ) | const

Get number of samples written so far. ...

## ◆ getTimeSampling()

AbcA::TimeSamplingPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::getTimeSampling | ( |  | ) | const

Default assignment operator used.

## ◆ getUserProperties()

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::getUserProperties | ( |  | ) |

## ◆ reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::reset | ( |  | ) |
| inline

Reset returns this function set to an empty, default state.

Definition at line 150 of file OXform.h.

## ◆ set()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::set | ( | XformSample & | ioSamp | ) |

Set an animated sample. On first call to set, the sample is modified, so it can't be const.

## ◆ setFromPrevious()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::setFromPrevious | ( |  | ) |

Set from previous sample. Will hold the animated channels.

## ◆ setTimeSampling() [1/2]

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::setTimeSampling | ( | AbcA::TimeSamplingPtr | iTime | ) |

## ◆ setTimeSampling() [2/2]

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::setTimeSampling | ( | uint32_t | iIndex | ) |

## ◆ valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::valid | ( |  | ) | const
| inline

Valid returns whether this function set is valid.

Definition at line 166 of file OXform.h.

## Member Data Documentation

## ◆ m_arbGeomParams

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::m_arbGeomParams
| protected

Definition at line 210 of file OXform.h.

## ◆ m_childBoundsProperty

Abc::OBox3dProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::m_childBoundsProperty
| protected

Definition at line 194 of file OXform.h.

## ◆ m_data

Util::shared_ptr< Data > Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::m_data
| protected

Definition at line 217 of file OXform.h.

## ◆ m_inheritsProperty

Abc::OBoolProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::m_inheritsProperty
| protected

Definition at line 200 of file OXform.h.

## ◆ m_isIdentity

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::m_isIdentity
| protected

Definition at line 208 of file OXform.h.

## ◆ m_isNotConstantIdentityProperty

Abc::OBoolProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::m_isNotConstantIdentityProperty
| protected

Definition at line 202 of file OXform.h.

## ◆ m_opsPWPtr

AbcA::ScalarPropertyWriterPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::m_opsPWPtr
| protected

Definition at line 196 of file OXform.h.

## ◆ m_protoSample

XformSample Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::m_protoSample
| protected

Definition at line 206 of file OXform.h.

## ◆ m_userProperties

Abc::OCompoundProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::m_userProperties
| protected

Definition at line 212 of file OXform.h.

## ◆ m_valsPWPtr

AbcA::BasePropertyWriterPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::OXformSchema::m_valsPWPtr
| protected

Definition at line 198 of file OXform.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/OXform.h